Bug 697098 - Several views show implicit members for compatible recursive groups
Several views show implicit members for compatible recursive groups
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
All All
medium Severity urgent (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-15 16:11 EDT by Jay Shaughnessy
Modified: 2011-10-06 15:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot_members subtab (64.12 KB, image/png)
2011-04-28 07:00 EDT, Sunil Kondkar
no flags Details
Screenshot_SerialExecution (68.77 KB, image/png)
2011-04-28 07:01 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Jay Shaughnessy 2011-04-15 16:11:03 EDT
(4:06:28 PM) jshaughn: hi ian, hey, i'm starting to think we have a fundamental issue in our display of recursive groups in the gui
(4:06:58 PM) ips: argh
(4:06:59 PM) jshaughn: for a recursive compatgroup, the members subtab is showing me all of the resource (implicit).
(4:07:09 PM) jshaughn: that's wrong is it not?
(4:07:40 PM) ips: yeah, i think we only want implicit 
(4:08:08 PM) jshaughn: furthermore, go try to schedule a group op on a recursive group and check the serial execution option,  again you get the implicit group members, and that makes no sense at all
(4:08:23 PM) jshaughn: did you mean "explicit"
(4:08:32 PM) ips: yes :)
(4:08:50 PM) jshaughn: i think the only place you want implicit is in the tree
(4:08:57 PM) ips: agreed
(4:09:15 PM) jshaughn: ok, let me see what I can do about this..
Comment 1 Jay Shaughnessy 2011-04-15 21:47:35 EDT
commit 80716f2527c396f13b97051c4c5c80fe1c7e8606
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Apr 15 17:41:11 2011 -0400

    For goupId filters, filter on explicit group membership as opposed to
    implicit group membership.  Group list views should not, in general,
    present  implicit members.  Implicit members are used primarily to buld
    tree views.


I'm pretty sure this covers what we want.  Setting to ON_QA but also will do some more testing in this area.
Comment 2 Sunil Kondkar 2011-04-28 06:58:31 EDT
Verified on build#39 (Version: 4.0.0-SNAPSHOT Build Number: 15a53e5)

Created a compatible group of resources and navigated to the Inventory->members sub tab. The members sub tab does not display all the members. It displays only the explicit group members. Please refer the attached screenshot.

Also verified this while creating a new operation schedule. The serial execution option displays only the explicit group members.

Please refer the attached screenshot.

Marking as verified.
Comment 3 Sunil Kondkar 2011-04-28 07:00:10 EDT
Created attachment 495491 [details]
Screenshot_members subtab
Comment 4 Sunil Kondkar 2011-04-28 07:01:03 EDT
Created attachment 495497 [details]
Screenshot_SerialExecution
Comment 5 Corey Welton 2011-05-23 21:17:09 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:17:10 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:17:12 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:17:14 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.